Page MenuHomePhabricator

Set default aliases for Project_talk namespace
Closed, ResolvedPublic

Description

InitializeSettings.php currently contains:

'wgNamespaceAliases' => [
	// defaults to aid when things are switched
	'+wikibooks' => [ 'Wikibooks' => NS_PROJECT ],
	'+wikinews' => [ 'Wikinews' => NS_PROJECT ],
	'+wikiquote' => [ 'Wikiquote' => NS_PROJECT ],
	'+wikisource' => [ 'Wikisource' => NS_PROJECT ],
	'+wikiversity' => [ 'Wikiversity' => NS_PROJECT ],
	'+wikipedia' => [ 'Wikipedia' => NS_PROJECT ],
	'+wiktionary' => [ 'Wiktionary' => NS_PROJECT ],
	'+wikivoyage' => [
		'Wikivoyage' => NS_PROJECT,
		'WV' => NS_PROJECT,
	],

(etc.)

It seems weird to have these settings for project pages without doing the same for project_talk pages. Therefore I suggest we expand this to the following:

  'wgNamespaceAliases' => [
  	// defaults to aid when things are switched
	'+wikibooks' => [
		'Wikibooks' => NS_PROJECT,
		'Wikibooks_talk' => NS_PROJECT_TALK,
	],
	'+wikinews' => [
		'Wikinews' => NS_PROJECT,
		'Wikinews_talk' => NS_PROJECT_TALK,
	],
	'+wikiquote' => [
		'Wikiquote' => NS_PROJECT,
		'Wikiquote_talk' => NS_PROJECT_TALK,
	],
	'+wikisource' => [
		'Wikisource' => NS_PROJECT,
		'Wikisource_talk' => NS_PROJECT_TALK,
	],
	'+wikiversity' => [
		'Wikiversity' => NS_PROJECT,
		'Wikiversity_talk' => NS_PROJECT_TALK,
	],
	'+wikipedia' => [
		'Wikipedia' => NS_PROJECT,
		'Wikipedia_talk' => NS_PROJECT_TALK,
	],
	'+wiktionary' => [
		'Wiktionary' => NS_PROJECT,
		'Wiktionary_talk' => NS_PROJECT_TALK,
	],
	'+wikivoyage' => [
		'Wikivoyage' => NS_PROJECT,
		'Wikivoyage_talk' => NS_PROJECT_TALK,
	],

Note that in the settings for this variable immediately below what I have quoted, 39 (by my count) wikis already specify one of these very settings. For example:

	'+angwiki' => [ // T58634, T60711
		'Wikipedia_talk' => NS_PROJECT_TALK,

The current settings can lead to counterintuitive situations for wiki users, where a link to a project page may work using the canonical, say, [[Wikibooks:Blah]], but a link to the corresponding talk page, [[Wikibooks talk:Blah]] fails, even though the page title Blah does exist in the wiki's project_talk namespace.

Here's an example:

Event Timeline

Dcljr created this task.Aug 11 2017, 1:24 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 11 2017, 1:24 AM
Ammarpad claimed this task.Jan 26 2019, 5:33 PM
Ammarpad added a subscriber: Ammarpad.

Up till now https://ab.wikipedia.org/wiki/Wikipedia_talk:Афорум is failing to lead to the corresponding talkpage (and it should) since https://ab.wikipedia.org/wiki/Wikipedia:Афорум works

Change 493385 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[operations/mediawiki-config@master] Set default aliases for Project_talk namespace

https://gerrit.wikimedia.org/r/493385

Change 493385 had a related patch set uploaded (by Urbanecm; owner: Ammarpad):
[operations/mediawiki-config@master] Set default aliases for Project_talk namespace

https://gerrit.wikimedia.org/r/493385

Change 493385 merged by jenkins-bot:
[operations/mediawiki-config@master] Set default aliases for Project_talk namespace

https://gerrit.wikimedia.org/r/493385

Change 519250 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Revert "Set default aliases for Project_talk namespace"

https://gerrit.wikimedia.org/r/519250

Change 519250 merged by jenkins-bot:
[operations/mediawiki-config@master] Revert "Set default aliases for Project_talk namespace"

https://gerrit.wikimedia.org/r/519250

While syncing this change, I got the following output from scap:

[urbanecm@deploy1001 mediawiki-staging (master u=)]$ scap sync-file wmf-config/InitialiseSettings.php '[[:gerrit:493385|Set default aliases for Project_talk namespace]] (T173070)'
           ___ ____
         ⎛   ⎛ ,----
          \  //==--'
     _//|,.·//==--'    ____________________________
    _OO≣=-  ︶ ᴹw ⎞_§ ______  ___\ ___\ ,\__ \/ __ \
   (∞)_, )  (     |  ______/__  \/ /__ / /_/ / /_/ /
     ¨--¨|| |- (  / ______\____/ \___/ \__^_/  .__/
         ««_/  «_/ jgs/bd808                /_/

16:24:16 Checking for new runtime errors locally
16:24:17 Copying from deploy1001.eqiad.wmnet to deploy1001.eqiad.wmnet
16:24:17 Started rsync common
16:24:17 Finished rsync common (duration: 00m 00s)
16:24:18 Started cache_git_info
16:24:32 Finished cache_git_info (duration: 00m 14s)
16:24:32 Started sync-masters
sync-masters: 100% (ok: 1; fail: 0; left: 0)
16:24:42 Finished sync-masters (duration: 00m 10s)
16:24:42 Started sync-pull-masters
sync-pull-masters: 100% (ok: 1; fail: 0; left: 0)
16:24:44 Finished sync-pull-masters (duration: 00m 01s)
16:24:44 Started sync-check-canaries
check-canaries: 100% (ok: 11; fail: 0; left: 0)
16:24:45 Finished Canaries Synced (duration: 00m 01s)
16:24:45 Executing check 'Check endpoints for mw1279.eqiad.wmnet'
16:24:45 Executing check 'Check endpoints for mw1276.eqiad.wmnet'
16:24:45 Executing check 'Check endpoints for mw1261.eqiad.wmnet'
16:24:45 Executing check 'Check endpoints for mw1264.eqiad.wmnet'
16:24:45 Executing check 'Check endpoints for mwdebug1002.eqiad.wmnet'
16:24:45 Executing check 'Check endpoints for mwdebug1001.eqiad.wmnet'
16:24:45 Executing check 'Check endpoints for mw1263.eqiad.wmnet'
16:24:45 Executing check 'Check endpoints for mw1262.eqiad.wmnet'
16:24:45 Executing check 'Check endpoints for mw1278.eqiad.wmnet'
16:24:45 Executing check 'Check endpoints for mw1277.eqiad.wmnet'
16:24:45 Executing check 'Check endpoints for mw1265.eqiad.wmnet'
16:24:48 Finished Canary Endpoint Check Complete (duration: 00m 02s)
16:24:48 Waiting for canary traffic...
16:25:05 Executing check 'Logstash Error rate for mw1279.eqiad.wmnet'
16:25:05 Executing check 'Logstash Error rate for mw1276.eqiad.wmnet'
16:25:05 Executing check 'Logstash Error rate for mw1261.eqiad.wmnet'
16:25:05 Executing check 'Logstash Error rate for mw1264.eqiad.wmnet'
16:25:05 Executing check 'Logstash Error rate for mwdebug1002.eqiad.wmnet'
16:25:05 Executing check 'Logstash Error rate for mwdebug1001.eqiad.wmnet'
16:25:05 Executing check 'Logstash Error rate for mw1263.eqiad.wmnet'
16:25:05 Executing check 'Logstash Error rate for mw1262.eqiad.wmnet'
16:25:05 Executing check 'Logstash Error rate for mw1278.eqiad.wmnet'
16:25:05 Executing check 'Logstash Error rate for mw1277.eqiad.wmnet'
16:25:05 Executing check 'Logstash Error rate for mw1265.eqiad.wmnet'
16:25:45 Check 'Logstash Error rate for mw1279.eqiad.wmnet' failed: WARNING: Retrying (Retry(total=2, connect=None, read=None, redirect=None)) after connection broken by 'ReadTimeoutError("HTTPConnectionPool(hos
t='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read timeout=10)",)': /logstash-*/_search
WARNING: Retrying (Retry(total=1, connect=None, read=None, redirect=None)) after connection broken by 'ReadTimeoutError("HTTPConnectionPool(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read time
out=10)",)': /logstash-*/_search
WARNING: Retrying (Retry(total=0, connect=None, read=None, redirect=None)) after connection broken by 'ReadTimeoutError("HTTPConnectionPool(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read time
out=10)",)': /logstash-*/_search
Traceback (most recent call last):
  File "/usr/local/bin/logstash_checker.py", line 340, in <module>
    main()
  File "/usr/local/bin/logstash_checker.py", line 336, in main
    sys.exit(checker.run())
  File "/usr/local/bin/logstash_checker.py", line 231, in run
    body=self._logstash_query()
  File "/usr/local/bin/logstash_checker.py", line 87, in fetch_url
    raise CheckServiceError("Generic connection error: {}".format(e))
__main__.CheckServiceError: Generic connection error: HTTPConnectionPool(host='logstash1009.eqiad.wmnet', port=9200): Max retries exceeded with url: /logstash-*/_search (Caused by ReadTimeoutError("HTTPConnectio
nPool(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read timeout=10)",))
16:25:45 Check 'Logstash Error rate for mw1261.eqiad.wmnet' failed: WARNING: Retrying (Retry(total=2, connect=None, read=None, redirect=None)) after connection broken by 'ReadTimeoutError("HTTPConnectionPool(hos
t='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read timeout=10)",)': /logstash-*/_search
WARNING: Retrying (Retry(total=1, connect=None, read=None, redirect=None)) after connection broken by 'ReadTimeoutError("HTTPConnectionPool(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read time
out=10)",)': /logstash-*/_search
WARNING: Retrying (Retry(total=0, connect=None, read=None, redirect=None)) after connection broken by 'ReadTimeoutError("HTTPConnectionPool(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read time
out=10)",)': /logstash-*/_search
Traceback (most recent call last):
  File "/usr/local/bin/logstash_checker.py", line 340, in <module>
    main()
  File "/usr/local/bin/logstash_checker.py", line 336, in main
    sys.exit(checker.run())
  File "/usr/local/bin/logstash_checker.py", line 231, in run
    body=self._logstash_query()
  File "/usr/local/bin/logstash_checker.py", line 87, in fetch_url
    raise CheckServiceError("Generic connection error: {}".format(e))
__main__.CheckServiceError: Generic connection error: HTTPConnectionPool(host='logstash1009.eqiad.wmnet', port=9200): Max retries exceeded with url: /logstash-*/_search (Caused by ReadTimeoutError("HTTPConnectio
nPool(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read timeout=10)",))

16:25:45 Check 'Logstash Error rate for mw1276.eqiad.wmnet' failed: WARNING: Retrying (Retry(total=2, connect=None, read=None, redirect=None)) after connection broken by 'ReadTimeoutError("HTTPConnectionPool(hos
t='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read timeout=10)",)': /logstash-*/_search
WARNING: Retrying (Retry(total=1, connect=None, read=None, redirect=None)) after connection broken by 'ReadTimeoutError("HTTPConnectionPool(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read time
out=10)",)': /logstash-*/_search
WARNING: Retrying (Retry(total=0, connect=None, read=None, redirect=None)) after connection broken by 'ReadTimeoutError("HTTPConnectionPool(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read time
out=10)",)': /logstash-*/_search
Traceback (most recent call last):
  File "/usr/local/bin/logstash_checker.py", line 340, in <module>
    main()
  File "/usr/local/bin/logstash_checker.py", line 336, in main
    sys.exit(checker.run())
  File "/usr/local/bin/logstash_checker.py", line 231, in run
    body=self._logstash_query()
  File "/usr/local/bin/logstash_checker.py", line 87, in fetch_url
    raise CheckServiceError("Generic connection error: {}".format(e))
__main__.CheckServiceError: Generic connection error: HTTPConnectionPool(host='logstash1009.eqiad.wmnet', port=9200): Max retries exceeded with url: /logstash-*/_search (Caused by ReadTimeoutError("HTTPConnectio
nPool(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read timeout=10)",))

16:25:45 Check 'Logstash Error rate for mw1264.eqiad.wmnet' failed: WARNING: Retrying (Retry(total=2, connect=None, read=None, redirect=None)) after connection broken by 'ReadTimeoutError("HTTPConnectionPool(hos
t='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read timeout=10)",)': /logstash-*/_search
WARNING: Retrying (Retry(total=1, connect=None, read=None, redirect=None)) after connection broken by 'ReadTimeoutError("HTTPConnectionPool(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read time
out=10)",)': /logstash-*/_search
WARNING: Retrying (Retry(total=0, connect=None, read=None, redirect=None)) after connection broken by 'ReadTimeoutError("HTTPConnectionPool(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read time
out=10)",)': /logstash-*/_search
Traceback (most recent call last):
  File "/usr/local/bin/logstash_checker.py", line 340, in <module>
    main()
  File "/usr/local/bin/logstash_checker.py", line 336, in main
    sys.exit(checker.run())
  File "/usr/local/bin/logstash_checker.py", line 231, in run
    body=self._logstash_query()
  File "/usr/local/bin/logstash_checker.py", line 87, in fetch_url
    raise CheckServiceError("Generic connection error: {}".format(e))
__main__.CheckServiceError: Generic connection error: HTTPConnectionPool(host='logstash1009.eqiad.wmnet', port=9200): Max retries exceeded with url: /logstash-*/_search (Caused by ReadTimeoutError("HTTPConnectio
nPool(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read timeout=10)",))

16:25:45 Check 'Logstash Error rate for mwdebug1002.eqiad.wmnet' failed: WARNING: Retrying (Retry(total=2, connect=None, read=None, redirect=None)) after connection broken by 'ReadTimeoutError("HTTPConnectionPoo
l(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read timeout=10)",)': /logstash-*/_search
WARNING: Retrying (Retry(total=1, connect=None, read=None, redirect=None)) after connection broken by 'ReadTimeoutError("HTTPConnectionPool(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read time
out=10)",)': /logstash-*/_search
WARNING: Retrying (Retry(total=0, connect=None, read=None, redirect=None)) after connection broken by 'ReadTimeoutError("HTTPConnectionPool(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read time
out=10)",)': /logstash-*/_search
Traceback (most recent call last):
  File "/usr/local/bin/logstash_checker.py", line 340, in <module>
    main()
  File "/usr/local/bin/logstash_checker.py", line 336, in main
    sys.exit(checker.run())
  File "/usr/local/bin/logstash_checker.py", line 231, in run
    body=self._logstash_query()
  File "/usr/local/bin/logstash_checker.py", line 87, in fetch_url
    raise CheckServiceError("Generic connection error: {}".format(e))
__main__.CheckServiceError: Generic connection error: HTTPConnectionPool(host='logstash1009.eqiad.wmnet', port=9200): Max retries exceeded with url: /logstash-*/_search (Caused by ReadTimeoutError("HTTPConnectio
nPool(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read timeout=10)",))

16:25:45 Check 'Logstash Error rate for mwdebug1001.eqiad.wmnet' failed: WARNING: Retrying (Retry(total=2, connect=None, read=None, redirect=None)) after connection broken by 'ReadTimeoutError("HTTPConnectionPoo
l(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read timeout=10)",)': /logstash-*/_search
WARNING: Retrying (Retry(total=1, connect=None, read=None, redirect=None)) after connection broken by 'ReadTimeoutError("HTTPConnectionPool(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read time
out=10)",)': /logstash-*/_search
WARNING: Retrying (Retry(total=0, connect=None, read=None, redirect=None)) after connection broken by 'ReadTimeoutError("HTTPConnectionPool(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read time
out=10)",)': /logstash-*/_search
Traceback (most recent call last):
  File "/usr/local/bin/logstash_checker.py", line 340, in <module>
    main()
  File "/usr/local/bin/logstash_checker.py", line 336, in main
    sys.exit(checker.run())
  File "/usr/local/bin/logstash_checker.py", line 231, in run
    body=self._logstash_query()
  File "/usr/local/bin/logstash_checker.py", line 87, in fetch_url
    raise CheckServiceError("Generic connection error: {}".format(e))
__main__.CheckServiceError: Generic connection error: HTTPConnectionPool(host='logstash1009.eqiad.wmnet', port=9200): Max retries exceeded with url: /logstash-*/_search (Caused by ReadTimeoutError("HTTPConnectio
nPool(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read timeout=10)",))

16:25:45 Check 'Logstash Error rate for mw1263.eqiad.wmnet' failed: WARNING: Retrying (Retry(total=2, connect=None, read=None, redirect=None)) after connection broken by 'ReadTimeoutError("HTTPConnectionPool(hos
t='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read timeout=10)",)': /logstash-*/_search
WARNING: Retrying (Retry(total=1, connect=None, read=None, redirect=None)) after connection broken by 'ReadTimeoutError("HTTPConnectionPool(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read time
out=10)",)': /logstash-*/_search
WARNING: Retrying (Retry(total=0, connect=None, read=None, redirect=None)) after connection broken by 'ReadTimeoutError("HTTPConnectionPool(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read time
out=10)",)': /logstash-*/_search
Traceback (most recent call last):
  File "/usr/local/bin/logstash_checker.py", line 340, in <module>
    main()
  File "/usr/local/bin/logstash_checker.py", line 336, in main
    sys.exit(checker.run())
  File "/usr/local/bin/logstash_checker.py", line 231, in run
    body=self._logstash_query()
  File "/usr/local/bin/logstash_checker.py", line 87, in fetch_url
    raise CheckServiceError("Generic connection error: {}".format(e))
__main__.CheckServiceError: Generic connection error: HTTPConnectionPool(host='logstash1009.eqiad.wmnet', port=9200): Max retries exceeded with url: /logstash-*/_search (Caused by ReadTimeoutError("HTTPConnectio
nPool(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read timeout=10)",))


16:25:45 Check 'Logstash Error rate for mw1262.eqiad.wmnet' failed: WARNING: Retrying (Retry(total=2, connect=None, read=None, redirect=None)) after connection broken by 'ReadTimeoutError("HTTPConnectionPool(hos
t='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read timeout=10)",)': /logstash-*/_search
WARNING: Retrying (Retry(total=1, connect=None, read=None, redirect=None)) after connection broken by 'ReadTimeoutError("HTTPConnectionPool(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read time
out=10)",)': /logstash-*/_search
WARNING: Retrying (Retry(total=0, connect=None, read=None, redirect=None)) after connection broken by 'ReadTimeoutError("HTTPConnectionPool(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read time
out=10)",)': /logstash-*/_search
Traceback (most recent call last):
  File "/usr/local/bin/logstash_checker.py", line 340, in <module>
    main()
  File "/usr/local/bin/logstash_checker.py", line 336, in main
    sys.exit(checker.run())
  File "/usr/local/bin/logstash_checker.py", line 231, in run
    body=self._logstash_query()
  File "/usr/local/bin/logstash_checker.py", line 87, in fetch_url
    raise CheckServiceError("Generic connection error: {}".format(e))
__main__.CheckServiceError: Generic connection error: HTTPConnectionPool(host='logstash1009.eqiad.wmnet', port=9200): Max retries exceeded with url: /logstash-*/_search (Caused by ReadTimeoutError("HTTPConnectio
nPool(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read timeout=10)",))

16:25:45 Check 'Logstash Error rate for mw1278.eqiad.wmnet' failed: WARNING: Retrying (Retry(total=2, connect=None, read=None, redirect=None)) after connection broken by 'ReadTimeoutError("HTTPConnectionPool(hos
t='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read timeout=10)",)': /logstash-*/_search
WARNING: Retrying (Retry(total=1, connect=None, read=None, redirect=None)) after connection broken by 'ReadTimeoutError("HTTPConnectionPool(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read time
out=10)",)': /logstash-*/_search
WARNING: Retrying (Retry(total=0, connect=None, read=None, redirect=None)) after connection broken by 'ReadTimeoutError("HTTPConnectionPool(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read time
out=10)",)': /logstash-*/_search
Traceback (most recent call last):
  File "/usr/local/bin/logstash_checker.py", line 340, in <module>
    main()
  File "/usr/local/bin/logstash_checker.py", line 336, in main
    sys.exit(checker.run())
  File "/usr/local/bin/logstash_checker.py", line 231, in run
    body=self._logstash_query()
  File "/usr/local/bin/logstash_checker.py", line 87, in fetch_url
    raise CheckServiceError("Generic connection error: {}".format(e))
__main__.CheckServiceError: Generic connection error: HTTPConnectionPool(host='logstash1009.eqiad.wmnet', port=9200): Max retries exceeded with url: /logstash-*/_search (Caused by ReadTimeoutError("HTTPConnectio
nPool(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read timeout=10)",))

16:25:45 Check 'Logstash Error rate for mw1277.eqiad.wmnet' failed: WARNING: Retrying (Retry(total=2, connect=None, read=None, redirect=None)) after connection broken by 'ReadTimeoutError("HTTPConnectionPool(hos
t='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read timeout=10)",)': /logstash-*/_search
WARNING: Retrying (Retry(total=1, connect=None, read=None, redirect=None)) after connection broken by 'ReadTimeoutError("HTTPConnectionPool(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read time
out=10)",)': /logstash-*/_search
WARNING: Retrying (Retry(total=0, connect=None, read=None, redirect=None)) after connection broken by 'ReadTimeoutError("HTTPConnectionPool(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read time
out=10)",)': /logstash-*/_search
Traceback (most recent call last):
  File "/usr/local/bin/logstash_checker.py", line 340, in <module>
    main()
  File "/usr/local/bin/logstash_checker.py", line 336, in main
    sys.exit(checker.run())
  File "/usr/local/bin/logstash_checker.py", line 231, in run
    body=self._logstash_query()
  File "/usr/local/bin/logstash_checker.py", line 87, in fetch_url
    raise CheckServiceError("Generic connection error: {}".format(e))
__main__.CheckServiceError: Generic connection error: HTTPConnectionPool(host='logstash1009.eqiad.wmnet', port=9200): Max retries exceeded with url: /logstash-*/_search (Caused by ReadTimeoutError("HTTPConnectio
nPool(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read timeout=10)",))

16:25:45 Check 'Logstash Error rate for mw1265.eqiad.wmnet' failed: WARNING: Retrying (Retry(total=2, connect=None, read=None, redirect=None)) after connection broken by 'ReadTimeoutError("HTTPConnectionPool(hos
t='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read timeout=10)",)': /logstash-*/_search
WARNING: Retrying (Retry(total=1, connect=None, read=None, redirect=None)) after connection broken by 'ReadTimeoutError("HTTPConnectionPool(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read time
out=10)",)': /logstash-*/_search
WARNING: Retrying (Retry(total=0, connect=None, read=None, redirect=None)) after connection broken by 'ReadTimeoutError("HTTPConnectionPool(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read time
out=10)",)': /logstash-*/_search
Traceback (most recent call last):
  File "/usr/local/bin/logstash_checker.py", line 340, in <module>
    main()
  File "/usr/local/bin/logstash_checker.py", line 336, in main
    sys.exit(checker.run())
  File "/usr/local/bin/logstash_checker.py", line 231, in run
    body=self._logstash_query()
  File "/usr/local/bin/logstash_checker.py", line 87, in fetch_url
    raise CheckServiceError("Generic connection error: {}".format(e))
__main__.CheckServiceError: Generic connection error: HTTPConnectionPool(host='logstash1009.eqiad.wmnet', port=9200): Max retries exceeded with url: /logstash-*/_search (Caused by ReadTimeoutError("HTTPConnectio
nPool(host='logstash1009.eqiad.wmnet', port=9200): Read timed out. (read timeout=10)",))

16:25:45 scap failed: average error rate on 11/11 canaries increased by 10x (rerun with --force to override this check, see https://logstash.wikimedia.org/goto/db09a36be5ed3e81155041f7d46ad040 for details)
16:25:45 Finished sync-check-canaries (duration: 01m 01s)

16:25:45 Unhandled error:
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/scap/cli.py", line 342, in run
    exit_status = app.main(app.extra_arguments)
  File "/usr/lib/python2.7/dist-packages/scap/main.py", line 750, in main
    return super(SyncFile, self).main(*extra_args)
  File "/usr/lib/python2.7/dist-packages/scap/main.py", line 98, in main
    self.canary_checks(canaries, timer)
  File "/usr/lib/python2.7/dist-packages/scap/main.py", line 454, in canary_checks
    raise RuntimeError(canary_fail_msg)
RuntimeError: scap failed: average error rate on 11/11 canaries increased by 10x (rerun with --force to override this check, see https://logstash.wikimedia.org/goto/db09a36be5ed3e81155041f7d46ad040 for details)
16:25:45 sync-file failed: <RuntimeError> scap failed: average error rate on 11/11 canaries increased by 10x (rerun with --force to override this check, see https://logstash.wikimedia.org/goto/db09a36be5ed3e8115
5041f7d46ad040 for details)
[urbanecm@deploy1001 mediawiki-staging (master u=)]$

To be safe, I've reverted the patch and will hopefully retry later.

Change 519257 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Revert "Revert "Set default aliases for Project_talk namespace""

https://gerrit.wikimedia.org/r/519257

Change 519257 merged by Urbanecm:
[operations/mediawiki-config@master] Revert "Revert "Set default aliases for Project_talk namespace""

https://gerrit.wikimedia.org/r/519257

Mentioned in SAL (#wikimedia-operations) [2019-06-27T18:05:21Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: [[:gerrit:519257|Revert "Revert "Set default aliases for Project_talk namespace""]] (T173070) (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2019-06-27T18:08:17Z] <Urbanecm> running namespaceDupes.php across all wikis in tmux on mwmaint1002 (T173070)

Mentioned in SAL (#wikimedia-operations) [2019-06-27T18:33:30Z] <Urbanecm> Morning SWAT done, namespaceDupes.php still running for T173070

Change 519484 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Tidy up GroupOverrides

https://gerrit.wikimedia.org/r/519484

^^sorry, wrong task ^^

Change 519484 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Tidy up GroupOverrides

https://gerrit.wikimedia.org/r/519484

Change 519484 merged by jenkins-bot:
[operations/mediawiki-config@master] Tidy up GroupOverrides

https://gerrit.wikimedia.org/r/519484

Mentioned in SAL (#wikimedia-operations) [2019-06-27T18:48:05Z] <Urbanecm> foreachwiki namespaceDupes.php --fix done (T173070)

Mentioned in SAL (#wikimedia-operations) [2019-06-27T18:49:59Z] <urbanecm@deploy1001> Synchronized dblists/commonsuploads.dblist: [[:gerrit:Tidy up GroupOverrides]], part 1 (T173070) (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2019-06-27T18:51:39Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: [[:gerrit:519484|Tidy up GroupOverrides]] (T173070) (duration: 00m 56s)

I'm sorry for the wrong task here... Records above should go to T185898.

Mentioned in SAL (#wikimedia-operations) [2019-06-27T19:23:48Z] <Urbanecm> run namespaceDupes.php for wikis in P8674 (T173070)

Urbanecm added a comment.EditedJun 27 2019, 8:04 PM

Output from first namespaceDupes.php (without --add-prefix, ran on all wikis): P8676
Output from second namespaceDupes.php (with --add-prefix=T173070, ran on wikis in P8674): P8677

For some wikis from P8674, there are now pages that starts with T173070. They should be fixed (either deleted or moved to appropriate name).

Urbanecm closed this task as Resolved.Jun 27 2019, 8:04 PM

Apart from cleanup (which is done on wiki and shouldn't be tracked on Phabricator), everything is done.

I've sent a massmessage to affected wikis, so they can clean up.

Dcljr added a comment.Jun 27 2019, 9:40 PM

Was the processing of hewiki completed? I see an error message in that part of the P8677 output.

Dcljr added a comment.Jun 27 2019, 9:48 PM

Also, for the record, the output from "first namespaceDupes.php (without --add-prefix, ran on all wikis)" is at: P8676

(You accidentally linked to the "second" output twice.)

Also, for the record, the output from "first namespaceDupes.php (without --add-prefix, ran on all wikis)" is at: P8676
(You accidentally linked to the "second" output twice.)

Thanks! Edited my comment.

Was the processing of hewiki completed? I see an error message in that part of the P8677 output.

You're right. Re-ran namespaceDupes.php for hewiki, output is available on P8680. I'll ask the community for clean-up.